---
title: Front End Engineer
icon: desktop_mac
desc: As a front end engineer, your mission is to create meaningful web interfaces. You’ll work with project leaders and back end engineers to bring projects to life.
---

# Front End Engineer
---

### About the company
Simple Systems is a software company.
Our mission is to deliver simple solutions for complex problems.

### About the job
As a front end engineer, your mission is to create meaningful web interfaces.
You’ll work with project leaders and back end engineers to bring projects to life.

### Expectations
* Work with project leaders to gain understanding of their vision
* Bring that vision to the web
* Work with backend engineers to connect services to the UI
* Own the code you write
* Review code from other front end engineers
* Suggest improvements throughout codebase
* Be open to suggestions for your code

### Competencies
* Ownership mentality: Take responsibility for what you do.
* Clear communication: Software engineering is a team process.  Be able to communicate with teammates.
* Constant learning: Keep up to date on technologies.
* Lazy programming: Think before you code.
* Testing: Unit tests are a must.  Testing logic is important too.
* Documentation: Other engineers should be able to pick up your code without hassle.
* Currently we use Vue.js, but are more concerned with fundamentals than specific technology.

### Interested?
Email a resume and brief description about yourself to jobs@simplesystems.tech. 
